<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DeskripsiKompetensiJenjang extends Model
{
    protected $table = 'deskripsi_kompetensi_jenjang';

    protected $fillable = [
        'kompetensi_id',
        'jenjang_jabatan_id',
        'deskripsi',
    ];

    public function kompetensi()
    {
        return $this->belongsTo(Kompetensi::class);
    }

    public function jenjangJabatan()
    {
        return $this->belongsTo(JenjangJabatan::class);
    }
}
